> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Instant Keys

> Returns a list of all [instant keys](https://docs.seam.co/capability-guides/instant-keys).



## OpenAPI

````yaml /openapi.json post /instant_keys/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /instant_keys/list:
    post:
      tags: []
      summary: List Instant Keys
      description: >-
        Returns a list of all [instant
        keys](https://docs.seam.co/capability-guides/instant-keys).
      operationId: instantKeysListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                user_identity_id:
                  description: >-
                    ID of the user identity by which you want to filter the list
                    of Instant Keys.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  instant_keys:
                    items:
                      $ref: '#/components/schemas/instant_key'
                    type: array
                  ok:
                    type: boolean
                required:
                  - instant_keys
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
components:
  schemas:
    instant_key:
      description: >-
        Represents a Seam Instant Key. For issuing Bluetooth mobile keys,
        Instant Keys are the fastest way to share access. With a single API
        call, you can create a mobile key and send it through text or email or
        embed it in your own app.
      properties:
        client_session_id:
          description: >-
            ID of the [client
            session](https://docs.seam.co/core-concepts/authentication/client-session-tokens)
            associated with the Instant Key.
          format: uuid
          type: string
        created_at:
          description: Date and time at which the Instant Key was created.
          format: date-time
          type: string
        customization:
          description: Customization applied to the Instant Key UI.
          properties:
            logo_url:
              description: URL of the logo displayed on the Instant Key.
              format: uri
              type: string
            primary_color:
              description: Primary color used in the Instant Key UI.
              type: string
            secondary_color:
              description: Secondary color used in the Instant Key UI.
              type: string
          type: object
        customization_profile_id:
          description: ID of the customization profile associated with the Instant Key.
          format: uuid
          type: string
        expires_at:
          description: Date and time at which the Instant Key expires.
          format: date-time
          type: string
        instant_key_id:
          description: ID of the Instant Key.
          format: uuid
          type: string
        instant_key_url:
          description: >-
            Shareable URL for the Instant Key. Use the URL to deliver the
            Instant Key to your user through a link in a text message or email
            or by embedding it in your web app.
          format: uri
          type: string
        user_identity_id:
          description: ID of the user identity associated with the Instant Key.
          format: uuid
          type: string
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the Instant Key.
          format: uuid
          type: string
      required:
        - instant_key_id
        - workspace_id
        - created_at
        - instant_key_url
        - client_session_id
        - user_identity_id
        - expires_at
      type: object
      x-route-path: /instant_keys
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````